-- name: [CS] Norm
-- description: Mod by Trashcam, and shoutout to Midas215 for giving me a financial incentive to make this.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_NORM_MODEL = smlua_model_util_get_id("norm_geo")

local TEXT_MOD_NAME = "Norm Pack"

local VOICETABLE_NORM = {
    [CHAR_SOUND_PANTING] = 'Norm_Ow.ogg',
    [CHAR_SOUND_ATTACKED] = 'Norm_Ow.ogg',
    [CHAR_SOUND_DROWNING] = 'Norm_AAA.ogg',
    [CHAR_SOUND_DYING] = 'Norm_AAA.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'Norm_Pronoun.ogg',
    [CHAR_SOUND_HAHA] = 'Norm_Somebody.ogg',
    [CHAR_SOUND_HAHA_2] = 'Norm_Somebody.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'WhatsThat.ogg',
    [CHAR_SOUND_HOOHOO] = 'Norm_Beer2.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'NormalBeer.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'Norm_Somebody.ogg',
    [CHAR_SOUND_ON_FIRE] = 'Norm_AAA.ogg',
    [CHAR_SOUND_OOOF] = 'Norm_Ow.ogg',
    [CHAR_SOUND_OOOF2] = 'Norm_Ow.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'Norm_Beer.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'Norm_Want.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Norm_Urgh.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'Norm_Bud.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Norm_Somebody.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'Norm_AAA.ogg',
    [CHAR_SOUND_WAH2] = 'Norm_Urgh.ogg',
    [CHAR_SOUND_WHOA] = 'Norm_Urgh.ogg',
    [CHAR_SOUND_YAHOO] = 'Norm_Beer2.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'Norm_Just.ogg', 'Norm_Want.ogg', 'Norm_Beer.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'Norm_Urgh.ogg','Norm_Beer2.ogg','Norm_Beer.ogg'},
}

local PALETTE_NORM = {
    [PANTS]  = "37434B",
    [SHIRT]  = "7E8365",
    [GLOVES] = "ffffff",
    [SHOES]  = "262728",
    [HAIR]   = "E6E6E6",
    [SKIN]   = "EACCAF",
    [CAP]    = "ffffff",
    [EMBLEM] = "ffffff",
}

if _G.charSelectExists then
    _G.charSelect.character_add("Norm", {"The New Norm ain't the same as the old norm"}, "Trashcam", {r = 255, g = 185, b = 139}, E_MODEL_NORM_MODEL, CT_MARIO, get_texture_info("norm"))
    _G.charSelect.character_add_palette_preset(E_MODEL_NORM_MODEL, PALETTE_NORM)

    _G.charSelect.character_add_voice(E_MODEL_NORM_MODEL, VOICETABLE_NORM)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NORM then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_NORM then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end